package com.fjhx.victoriatourist.controller.jd;

import cn.hutool.core.util.ObjectUtil;
import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.jd.dto.JdOrderSelectDto;
import com.fjhx.victoriatourist.entity.jd.vo.JdOrderDetailsVo;
import com.fjhx.victoriatourist.service.jd.JdOrderDetailsService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping("/jdOrderEx")
public class JdOrderExController {

    @Resource
    private JdOrderDetailsService jdOrderDetailsService;


    /**
     * 采购单明细异常列表
     * @author hj
     * @date 2024/1/15 10:09
     */
    @PostMapping("/jdOrderDetailExList")
    public Page<JdOrderDetailsVo> jdOrderDetailExList(@RequestBody JdOrderSelectDto dto){
        return jdOrderDetailsService.jdOrderDetailExList(dto);
    }



    /**
     * 处理异常
     * @author hj
     * @date 2024/1/15 22:18
     */
    @PostMapping("/dealEx")
    public void dealEx(@RequestBody JdOrderDetailsVo vo){
        if(ObjectUtil.isNull(vo.getId()) || StrUtil.isBlank(vo.getExHandle())){
            throw new RuntimeException("参数异常");
        }
        jdOrderDetailsService.dealEx(vo);
    }
}
